Subject: Re: register long sp asm("r1") incorrect

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 16 Feb 2010 06:59:52 +1100

On Mon, 2010-02-15 at 08:34 +0100, Pavel Machek wrote:
> > On Tue, 2010-02-09 at 16:24 +0100, Pavel Machek wrote:
> > > ...according to gcc docs, sp should be global, or placement in
> > > register is not guaranteed (except at asm boundaries, but there
> are
> > > none).
> > 
> > Sorry I'm not sure I grok what you mean.
> 
> Well, according to gcc doscs and my experience, local "register int
> __asm()" variables only work by accident (or not at all). 

Hrm... we definitely rely on that for our thread_info() access, and so
far it has worked well for us, but I'll poke our gcc folks just in case.

Cheers,
Ben.